Debian Bug report logs - #613342
Fix logrotate FTBFS for GNU/Hurd

version graph

Package: logrotate; Maintainer for logrotate is Paul Martin <pm@debian.org>; Source for logrotate is src:logrotate.

Reported by: Svante Signell <svante.signell@telia.com>

Date: Mon, 14 Feb 2011 08:15:01 UTC

Severity: important

Tags: patch, upstream

Found in version logrotate/3.7.8-6

Fixed in version logrotate/3.8.0-1

Done: Paul Martin <pm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-hurd@lists.debian.org, Paul Martin <pm@debian.org>:
Bug#613342; Package logrotate. (Mon, 14 Feb 2011 08:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <svante.signell@telia.com>:
New Bug report received and forwarded. Copy sent to debian-hurd@lists.debian.org, Paul Martin <pm@debian.org>. (Mon, 14 Feb 2011 08:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Debian bug reporting <submit@bugs.debian.org>
Cc: Jan Kaluza <jkaluza@redhat.com>
Subject: Fix logrotate FTBFS for GNU/Hurd
Date: Mon, 14 Feb 2011 09:14:09 +0100
[Message part 1 (text/plain, inline)]
Package: logrotate
Version: 3.7.8-6
Severity: important
Tags: patch, upstream
User: debian-hurd@lists.debian.org
Usertags: hurd

The attached patch fixes the dependency on PATH_MAX blocking the build
for GNU/Hurd. Should be applied last after the other patches in the
quilt series. Build tested on both GNU/Linux and GNU/Hurd. Also, all 14
checks in the test directory pass successfully after the build. Might be
applicable also for upstream?
[fix-FTBFS-for-Hurd.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Paul Martin <pm@debian.org>:
Bug#613342; Package logrotate. (Mon, 14 Feb 2011 08:48:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Paul Martin <pm@debian.org>. (Mon, 14 Feb 2011 08:48:12 GMT) Full text and rfc822 format available.

Message #10 received at 613342@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Svante Signell <svante.signell@telia.com>, 613342@bugs.debian.org
Cc: Jan Kaluza <jkaluza@redhat.com>
Subject: Re: Bug#613342: Fix logrotate FTBFS for GNU/Hurd
Date: Mon, 14 Feb 2011 09:44:07 +0100
Svante Signell, le Mon 14 Feb 2011 09:14:09 +0100, a écrit :
> Might be applicable also for upstream?

Yes: since according to:

>  	} else {
>  		/* note: the gzip extension is *not* used here! */
>  		if (asprintf(&(rotNames->finalName), "%s/%s.%d%s", rotNames->dirName,

logrotate already depends on asprintf, there should be no regression.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#613342; Package logrotate. (Mon, 14 Feb 2011 10:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Martin <pm@debian.org>:
Extra info received and forwarded to list. (Mon, 14 Feb 2011 10:18:06 GMT) Full text and rfc822 format available.

Message #15 received at 613342@bugs.debian.org (full text, mbox):

From: Paul Martin <pm@debian.org>
To: Svante Signell <svante.signell@telia.com>, 613342@bugs.debian.org
Subject: Re: Bug#613342: Fix logrotate FTBFS for GNU/Hurd
Date: Mon, 14 Feb 2011 09:56:08 +0000
On Mon, Feb 14, 2011 at 09:14:09AM +0100, Svante Signell wrote:
> diff -ur logrotate-3.7.8.orig//config.c ./logrotate-3.7.8/config.c
> --- logrotate-3.7.8.orig//config.c	2011-02-12 18:00:44.000000000 +0100
> +++ logrotate-3.7.8/config.c	2011-02-13 16:08:56.000000000 +0100
> @@ -160,7 +160,7 @@
>  static int checkFile(const char *fname)
>  {
>  	int i;
> -	char pattern[PATH_MAX];
> +	char *pattern;
>  
>  	/* Check if fname is '.' or '..'; if so, return false */
>  	if (fname[0] == '.' && (!fname[1] || (fname[1] == '.' && !fname[2])))
> @@ -168,7 +168,7 @@
>  
>  	/* Check if fname is ending in a taboo-extension; if so, return false */
>  	for (i = 0; i < tabooCount; i++) {
> -		snprintf(pattern, sizeof(pattern), "*%s", tabooExts[i]);
> +		asprintf(&pattern, "*%s", tabooExts[i]);
>  		if (!fnmatch(pattern, fname, 0))
>  		{
>  			message(MESS_DEBUG, "Ignoring %s, because of %s ending\n",
> @@ -176,7 +176,7 @@
>  			return 0;
>  		}
>  	}
> -
> +	free(pattern);
>  	/* All checks have been passed; return true */
>  	return 1;
>  }

You have a potential memory leak here. Only the "true" return does
free(pattern).

> +	newName = alloca(strlen(oldName)+1);
>  	strcpy(newName, oldName);
>  
> +	rotNames->disposeName = malloc(strlen(oldName)+1);
>  	strcpy(rotNames->disposeName, oldName);

strdup(), perhaps?

> +	    newName = alloca(strlen(oldName)+1);
>  	    newName = oldName;
> +	    oldName = alloca(strlen(tmp)+1);
>  	    oldName = tmp;

strdup()?

I'd be *very* hesitant in dynamically allocating from the stack at
runtime. Just because you have a generous stack allocation on i386
doesn't mean that there is one on other architectures. If you overrun
the stack with alloca(), your program will hopefully segfault.

Thanks for your contribution. I'll use this as the basis of a patch.

-- 
Paul Martin <pm@debian.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Paul Martin <pm@debian.org>:
Bug#613342; Package logrotate. (Mon, 14 Feb 2011 10:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <svante.signell@telia.com>:
Extra info received and forwarded to list. Copy sent to Paul Martin <pm@debian.org>. (Mon, 14 Feb 2011 10:27:05 GMT) Full text and rfc822 format available.

Message #20 received at 613342@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Paul Martin <pm@debian.org>
Cc: 613342@bugs.debian.org
Subject: Re: Bug#613342: Fix logrotate FTBFS for GNU/Hurd
Date: Mon, 14 Feb 2011 11:25:49 +0100
On Mon, 2011-02-14 at 09:56 +0000, Paul Martin wrote:
> On Mon, Feb 14, 2011 at 09:14:09AM +0100, Svante Signell wrote:
..
> > +	free(pattern);
> >  	/* All checks have been passed; return true */
> >  	return 1;
> >  }
> 
> You have a potential memory leak here. Only the "true" return does
> free(pattern).

Thanks for your feedback, I was a little worried about memory leaks.
Yes, the free statement should also be executed when the test fails.

> > +	newName = alloca(strlen(oldName)+1);
> >  	strcpy(newName, oldName);
> >  
> > +	rotNames->disposeName = malloc(strlen(oldName)+1);
> >  	strcpy(rotNames->disposeName, oldName);
> 
> strdup(), perhaps?

Yes, much better. I did not change the original strcpy statement.

> > +	    newName = alloca(strlen(oldName)+1);
> >  	    newName = oldName;
> > +	    oldName = alloca(strlen(tmp)+1);
> >  	    oldName = tmp;
> 
> strdup()?

Likewise! Then we should get rid of the alloca statements.

> I'd be *very* hesitant in dynamically allocating from the stack at
> runtime. Just because you have a generous stack allocation on i386
> doesn't mean that there is one on other architectures. If you overrun
> the stack with alloca(), your program will hopefully segfault.
> 
> Thanks for your contribution. I'll use this as the basis of a patch.

BTW: I got a reply from upstream, saying that they would adopt my
current patch. Maybe you can communicate with them directly about the
new changes, in order to further improve the changes.







Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#613342; Package logrotate. (Mon, 14 Feb 2011 11:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Martin <pm@debian.org>:
Extra info received and forwarded to list. (Mon, 14 Feb 2011 11:36:03 GMT) Full text and rfc822 format available.

Message #25 received at 613342@bugs.debian.org (full text, mbox):

From: Paul Martin <pm@debian.org>
To: Svante Signell <svante.signell@telia.com>, 613342@bugs.debian.org
Subject: Re: Bug#613342: Fix logrotate FTBFS for GNU/Hurd
Date: Mon, 14 Feb 2011 11:32:16 +0000
On Mon, Feb 14, 2011 at 11:25:49AM +0100, Svante Signell wrote:


> BTW: I got a reply from upstream, saying that they would adopt my
> current patch. Maybe you can communicate with them directly about the
> new changes, in order to further improve the changes.

Who was it that you contacted at RedHat?

-- 
Paul Martin <pm@debian.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Paul Martin <pm@debian.org>:
Bug#613342; Package logrotate. (Mon, 14 Feb 2011 11:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <svante.signell@telia.com>:
Extra info received and forwarded to list. Copy sent to Paul Martin <pm@debian.org>. (Mon, 14 Feb 2011 11:48:08 GMT) Full text and rfc822 format available.

Message #30 received at 613342@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Paul Martin <pm@debian.org>
Cc: 613342@bugs.debian.org
Subject: Re: Bug#613342: Fix logrotate FTBFS for GNU/Hurd
Date: Mon, 14 Feb 2011 12:43:45 +0100
On Mon, 2011-02-14 at 11:32 +0000, Paul Martin wrote:
> On Mon, Feb 14, 2011 at 11:25:49AM +0100, Svante Signell wrote:
> 
> 
> > BTW: I got a reply from upstream, saying that they would adopt my
> > current patch. Maybe you can communicate with them directly about the
> > new changes, in order to further improve the changes.
> 
> Who was it that you contacted at RedHat?

It is in the cc: of the bug report:

Jan Kaluža <jkaluza@redhat.com>

he also cc:ed a colleague when replying to me:

Tomáš Smetana <tsmetana@redhat.com>






Information forwarded to debian-bugs-dist@lists.debian.org, Paul Martin <pm@debian.org>:
Bug#613342; Package logrotate. (Wed, 16 Feb 2011 08:21:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <svante.signell@telia.com>:
Extra info received and forwarded to list. Copy sent to Paul Martin <pm@debian.org>. (Wed, 16 Feb 2011 08:21:15 GMT) Full text and rfc822 format available.

Message #35 received at 613342@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Paul Martin <pm@debian.org>
Cc: 613342@bugs.debian.org
Subject: Re: Bug#613342: Fix logrotate FTBFS for GNU/Hurd
Date: Wed, 16 Feb 2011 09:18:57 +0100
On Mon, 2011-02-14 at 12:43 +0100, Svante Signell wrote:
> On Mon, 2011-02-14 at 11:32 +0000, Paul Martin wrote:
> > On Mon, Feb 14, 2011 at 11:25:49AM +0100, Svante Signell wrote:
> > 
> > 
> > > BTW: I got a reply from upstream, saying that they would adopt my
> > > current patch. Maybe you can communicate with them directly about the
> > > new changes, in order to further improve the changes.
> > 
> > Who was it that you contacted at RedHat?

Did you get in contact with the upstream developers? How does your
modified patch look like? I thought of your proposal to use strdup
instead of strcpy. In that case you avoid the alloca calls, at the cost
of finding the correct places where to free the strings malloced by
strdup.





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#613342; Package logrotate. (Wed, 16 Feb 2011 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Martin <pm@debian.org>:
Extra info received and forwarded to list. (Wed, 16 Feb 2011 09:33:03 GMT) Full text and rfc822 format available.

Message #40 received at 613342@bugs.debian.org (full text, mbox):

From: Paul Martin <pm@debian.org>
To: Svante Signell <svante.signell@telia.com>, 613342@bugs.debian.org
Subject: Re: Bug#613342: Fix logrotate FTBFS for GNU/Hurd
Date: Wed, 16 Feb 2011 09:28:23 +0000
[Message part 1 (text/plain, inline)]
On Wed, Feb 16, 2011 at 09:18:57AM +0100, Svante Signell wrote:
> Did you get in contact with the upstream developers? How does your
> modified patch look like?

The RedHat folks have come up with the following:

Hi,

I'm sorry, there was a bug in the patch I've sent to you in previous 
email. I've totally forgotten the for cycle because of poor code 
readibility and it double frees in some cases :/. Sending proper patch now.

Please check it anyway, it's pretty easy to get lost there.

Regards,
Jan Kaluza

-- 
Paul Martin <pm@debian.org>
[logrotate-3.7.9-remove-path-max.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Paul Martin <pm@debian.org>:
Bug#613342; Package logrotate. (Fri, 15 Apr 2011 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <svante.signell@telia.com>:
Extra info received and forwarded to list. Copy sent to Paul Martin <pm@debian.org>. (Fri, 15 Apr 2011 23:54:03 GMT) Full text and rfc822 format available.

Message #45 received at 613342@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: 613342@bugs.debian.org
Cc: debian-hurd maillist <debian-hurd@lists.debian.org>
Subject: A friendly reminder of the patch from upstream
Date: Sat, 16 Apr 2011 01:44:30 +0200
The patch in bug #613342 was approved and updated by the upstream from
Redhat, February 16, and communicated with them by the DM. Is anything
hindering an upload of a patched package? See the patch to the bug
report at [logrotate-3.7.9-remove-path-max.patch]

Thanks!





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#613342; Package logrotate. (Sat, 16 Apr 2011 12:19:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Martin <pm@debian.org>:
Extra info received and forwarded to list. (Sat, 16 Apr 2011 12:19:23 GMT) Full text and rfc822 format available.

Message #50 received at 613342@bugs.debian.org (full text, mbox):

From: Paul Martin <pm@debian.org>
To: Svante Signell <svante.signell@telia.com>, 613342@bugs.debian.org
Subject: Re: Bug#613342: A friendly reminder of the patch from upstream
Date: Sat, 16 Apr 2011 12:57:38 +0100
On Sat, Apr 16, 2011 at 01:44:30AM +0200, Svante Signell wrote:
> The patch in bug #613342 was approved and updated by the upstream from
> Redhat, February 16, and communicated with them by the DM. Is anything
> hindering an upload of a patched package? See the patch to the bug
> report at [logrotate-3.7.9-remove-path-max.patch]

Was that intended to be a link?

I had an extensive dialogue with one of the RedHat developers, and
between us we fixed some bugs in the original patch.

That it hasn't been uploaded is completely my fault.

-- 
Paul Martin <pm@debian.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Paul Martin <pm@debian.org>:
Bug#613342; Package logrotate. (Tue, 19 Apr 2011 07:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <svante.signell@telia.com>:
Extra info received and forwarded to list. Copy sent to Paul Martin <pm@debian.org>. (Tue, 19 Apr 2011 07:36:03 GMT) Full text and rfc822 format available.

Message #55 received at 613342@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Paul Martin <pm@debian.org>
Cc: 613342@bugs.debian.org, debian-hurd maillist <debian-hurd@lists.debian.org>
Subject: Re: Bug#613342: A friendly reminder of the patch from upstream
Date: Tue, 19 Apr 2011 09:31:06 +0200
On Sat, 2011-04-16 at 12:57 +0100, Paul Martin wrote:
> On Sat, Apr 16, 2011 at 01:44:30AM +0200, Svante Signell wrote:
> > The patch in bug #613342 was approved and updated by the upstream from
> > Redhat, February 16, and communicated with them by the DM. Is anything
> > hindering an upload of a patched package? See the patch to the bug
> > report at [logrotate-3.7.9-remove-path-max.patch]
> 
> Was that intended to be a link?

No, I was just referring to the patch you added to Message 40 of the
bug.

> I had an extensive dialogue with one of the RedHat developers, and
> between us we fixed some bugs in the original patch.
> 
> That it hasn't been uploaded is completely my fault.

Thanks, we are looking forward to an upload of the patched package.
Since 3.7.9 has been released, with the patch applied, an even better
alternative would be to package the new version.






Information forwarded to debian-bugs-dist@lists.debian.org, Paul Martin <pm@debian.org>:
Bug#613342; Package logrotate. (Tue, 19 Apr 2011 08:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <srs@kth.se>:
Extra info received and forwarded to list. Copy sent to Paul Martin <pm@debian.org>. (Tue, 19 Apr 2011 08:15:03 GMT) Full text and rfc822 format available.

Message #60 received at 613342@bugs.debian.org (full text, mbox):

From: Svante Signell <srs@kth.se>
To: Paul Martin <pm@debian.org>
Cc: 613342@bugs.debian.org, debian-hurd maillist <debian-hurd@lists.debian.org>
Subject: Re: Bug#613342: A friendly reminder of the patch from upstream
Date: Tue, 19 Apr 2011 09:39:06 +0200
On Tue, 2011-04-19 at 09:31 +0200, Svante Signell wrote:

> Thanks, we are looking forward to an upload of the patched package.
> Since 3.7.9 has been released, with the patch applied, an even better
> alternative would be to package the new version.

Sorry, a mistake from my side: Version 3.7.9 is from June 2010, no new
upstream including the patch has been released yet. The patch could of
course be applied to either 3.7.8 or 3.7.9.







Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#613342; Package logrotate. (Wed, 22 Jun 2011 16:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Martin <pm@debian.org>:
Extra info received and forwarded to list. (Wed, 22 Jun 2011 16:21:06 GMT) Full text and rfc822 format available.

Message #65 received at 613342@bugs.debian.org (full text, mbox):

From: Paul Martin <pm@debian.org>
To: Svante Signell <srs@kth.se>, 613342@bugs.debian.org
Cc: jkaluza@redhat.com
Subject: Re: Bug#613342: A friendly reminder of the patch from upstream
Date: Wed, 22 Jun 2011 16:59:36 +0100
I've applied a patch to config.c when uploading 3.7.9-1 to Debian
experimental.  Your patch to logrotate.c either leaks memory horribly
or has zero effect.

I hope you can supply a patch against 3.7.9-1 which addresses these
concerns.

A quick and dirty fix would, of course, be

#ifndef PATH_MAX
#define PATH_MAX 4096
#endif

Incidentally, PATH_MAX is in the POSIX specifications (defined by
<limits.h>).  I am *most* surprised to find that Hurd is not a POSIX
conformant *nix.

-- 
Paul Martin <pm@debian.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Paul Martin <pm@debian.org>:
Bug#613342; Package logrotate. (Wed, 22 Jun 2011 21:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <srs@kth.se>:
Extra info received and forwarded to list. Copy sent to Paul Martin <pm@debian.org>. (Wed, 22 Jun 2011 21:36:06 GMT) Full text and rfc822 format available.

Message #70 received at 613342@bugs.debian.org (full text, mbox):

From: Svante Signell <srs@kth.se>
To: Paul Martin <pm@debian.org>
Cc: 613342@bugs.debian.org, jkaluza@redhat.com
Subject: Re: Bug#613342: A friendly reminder of the patch from upstream
Date: Wed, 22 Jun 2011 23:04:06 +0200
On Wed, 2011-06-22 at 16:59 +0100, Paul Martin wrote:
> I've applied a patch to config.c when uploading 3.7.9-1 to Debian
> experimental.  Your patch to logrotate.c either leaks memory horribly
> or has zero effect.
> 
> I hope you can supply a patch against 3.7.9-1 which addresses these
> concerns.
> 
> A quick and dirty fix would, of course, be
> 
> #ifndef PATH_MAX
> #define PATH_MAX 4096
> #endif
> 
> Incidentally, PATH_MAX is in the POSIX specifications (defined by
> <limits.h>).  I am *most* surprised to find that Hurd is not a POSIX
> conformant *nix.

I hope is has zero effect, in case you are in doubt check with valgrind
on GNU/Linux. It has been approved by the GNU/Hurd people, and applied
upstream. It fixes an FTBFS on GNU/Hurd. An defining PATH_PAX is not a
solution, see for example
http://www.gnu.org/software/hurd/community/gsoc/project_ideas/maxpath.html







Information forwarded to debian-bugs-dist@lists.debian.org, Paul Martin <pm@debian.org>:
Bug#613342; Package logrotate. (Thu, 23 Jun 2011 08:16:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Paul Martin <pm@debian.org>. (Thu, 23 Jun 2011 08:16:04 GMT) Full text and rfc822 format available.

Message #75 received at 613342@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Paul Martin <pm@debian.org>
Cc: 613342@bugs.debian.org, jkaluza@redhat.com
Subject: Re: Bug#613342: A friendly reminder of the patch from upstream
Date: Thu, 23 Jun 2011 10:12:16 +0200
On Wed, 2011-06-22 at 23:04 +0200, Svante Signell wrote:
> On Wed, 2011-06-22 at 16:59 +0100, Paul Martin wrote:
> > I've applied a patch to config.c when uploading 3.7.9-1 to Debian
> > experimental.  Your patch to logrotate.c either leaks memory horribly
> > or has zero effect.
> > 
> > I hope you can supply a patch against 3.7.9-1 which addresses these
> > concerns.

Sorry for replying too early. I thought the modified upstream patch,
logrotate-3.7.9-remove-path-max.patch, was taking care of eventual
memory leaks problems with my proposed patch. I'll take a look again, to
see what is not OK. Thank you for caring.






Reply sent to Paul Martin <pm@debian.org>:
You have taken responsibility. (Sun, 28 Aug 2011 18:36:12 GMT) Full text and rfc822 format available.

Notification sent to Svante Signell <svante.signell@telia.com>:
Bug acknowledged by developer. (Sun, 28 Aug 2011 18:36:12 GMT) Full text and rfc822 format available.

Message #80 received at 613342-close@bugs.debian.org (full text, mbox):

From: Paul Martin <pm@debian.org>
To: 613342-close@bugs.debian.org
Subject: Bug#613342: fixed in logrotate 3.8.0-1
Date: Sun, 28 Aug 2011 18:33:01 +0000
Source: logrotate
Source-Version: 3.8.0-1

We believe that the bug you reported is fixed in the latest version of
logrotate, which is due to be installed in the Debian FTP archive:

logrotate_3.8.0-1.debian.tar.gz
  to main/l/logrotate/logrotate_3.8.0-1.debian.tar.gz
logrotate_3.8.0-1.dsc
  to main/l/logrotate/logrotate_3.8.0-1.dsc
logrotate_3.8.0-1_i386.deb
  to main/l/logrotate/logrotate_3.8.0-1_i386.deb
logrotate_3.8.0.orig.tar.gz
  to main/l/logrotate/logrotate_3.8.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 613342@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Martin <pm@debian.org> (supplier of updated logrotate package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 28 Aug 2011 19:11:09 +0100
Source: logrotate
Binary: logrotate
Architecture: source i386
Version: 3.8.0-1
Distribution: experimental
Urgency: low
Maintainer: Paul Martin <pm@debian.org>
Changed-By: Paul Martin <pm@debian.org>
Description: 
 logrotate  - Log rotation utility
Closes: 580054 613342 633529 634704 639302
Changes: 
 logrotate (3.8.0-1) experimental; urgency=low
 .
   * New upstream release (Closes: #633529)
     + Fixes for CVE-2011-1098, CVE-2011-1154, and CVE-2011-1155
       (Closes: #639302)
     + dateformat sorting noted in manpage (Closes: #580054)
   * Changed debian/control to use [linux-any] in Build-Depends.
     (Closes: #634704)
   * Removed patches:
     + create-388608.patch: Upstream has fixed this.
     + nofollow.patch: Upstream has fixed this.
     + security-388608.patch: Upstream has fixed this.
     + FTBFS-hurd-613342.patch: Adopted upstream. (Closes: #613342)
Checksums-Sha1: 
 a837fe25ca1935d91b63b2d8b096c5277ec209cd 1659 logrotate_3.8.0-1.dsc
 a79c500c4ce45177b47bb473a6bff4021af7121e 48199 logrotate_3.8.0.orig.tar.gz
 935ccc79f7ce0d78086bcd0b928684ff35bfc9e9 20714 logrotate_3.8.0-1.debian.tar.gz
 8bd9f07fe8c9c578da9920766921b41f181c9e83 47708 logrotate_3.8.0-1_i386.deb
Checksums-Sha256: 
 89aa551127f581b5ddea77789edafe35ad6d9560df5b19dd5fd0bc57ccba7e19 1659 logrotate_3.8.0-1.dsc
 5e52edc8c1894ab079ea3666cfd828085e3949388703f7236c39b2d20968536e 48199 logrotate_3.8.0.orig.tar.gz
 eac0953462f0a51be099cf1e67c5d6ad74548486dbcb6367cf6e215ceb400d7e 20714 logrotate_3.8.0-1.debian.tar.gz
 9ea7b8636ac4a0d35d4bd6207db765a248ed2078d5e6bd0422db9130ff74744e 47708 logrotate_3.8.0-1_i386.deb
Files: 
 4f90105438f94a8a1df13b2c8d224014 1659 admin important logrotate_3.8.0-1.dsc
 590f77c13077a4c384dbec7ca9c5f242 48199 admin important logrotate_3.8.0.orig.tar.gz
 c780a4089697b7ae5692dc327f660b8c 20714 admin important logrotate_3.8.0-1.debian.tar.gz
 10a254d265832ba041821bd8df681ae3 47708 admin important logrotate_3.8.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTlqIf2A7gyZh+cpTAQgSqg/+IFbi2RqkymJLKTtZnZbATIZEM9j/vglH
WsWBA0jeQ/9XEyJjypwisv9bllSL1sHBlv90Pd25+1TU97qnuJsfWceu9zK1+7qL
lp02vyf2FD+G9jttujg2PgEduVX3t+CV+ng8Bif7JYpfACrCEPCnzf6kCasNmjp8
H2W9rRt0p8qfMBhgMHev0xXstF/ytkHBm4CRJ3GaCK7I0I1Syf1TVPthnpQ9BVGB
8HI99MZYnNuBRfJWYO9KeeTF2uW/9C1HAaZ3a5hWvy4iaW8CjcVqzRHVF6uy/mnA
XYtGQq0Bn4TpRe6XCekI7azBtEgr+A62N65LDWjvFA3YGBAWVlizKkzBTUXY7S5v
jaYFGl+pmpWxukFe0JcdZrKe+PF2eWQDZxgIATV5wkoaI/086nYsBAq50wLQ9Q+i
vWxSA8paeZRiEdmfHEyINUYgigZsRPgeBizCON3BuVTH2OMJlgeGLYfGY6QlymSi
ylj6k8dV3Arb4Yx9EybJn0VSfD5Qn2+mELGuYAJ/Ykv1RtsWgB8Q2XgzkApI3GYF
dEDEDQFggDwgu1h9qPgji7Opx/ffBXSCipPVwTIj7zzXyulWqoTaV2Ba6OAUKkQd
cbBEnHIB2Reo0FZcqhlmBI2OIOPBYYOlL9MtQPE0/flkPMQlhZAH8+0lEV774rHa
7x6xj4/t7PA=
=A2/w
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jan 2012 07:35:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:40:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.